Bug 501816 - phonon-backend-gstreamer multilib conflict
phonon-backend-gstreamer multilib conflict
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: phonon (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 16:28 EDT by Philippe Troin
Modified: 2009-07-11 13:06 EDT (History)
5 users (show)

See Also:
Fixed In Version: 4.3.1-6.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-11 13:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2009-05-20 16:28:14 EDT
Description of problem:
yum install phonon-backend-gstreamer.i386 phonon-backend-gstreamer.x86_64

yields:

  file /usr/share/icons/hicolor/128x128/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc10.i386 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc10.x86_64
  file /usr/share/icons/hicolor/16x16/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc10.i386 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc10.x86_64
  file /usr/share/icons/hicolor/22x22/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc10.i386 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc10.x86_64
  file /usr/share/icons/hicolor/32x32/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc10.i386 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc10.x86_64
  file /usr/share/icons/hicolor/48x48/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc10.i386 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc10.x86_64
  file /usr/share/icons/hicolor/64x64/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc10.i386 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc10.x86_64


Version-Release number of selected component (if applicable):
phonon-backend-gstreamer-4.3.1-4.fc10
Comment 1 Kevin Kofler 2009-05-20 16:34:38 EDT
I wonder if the switch to GraphicsMagic to generate the PNG files in 4.1.3-5 fixes that.
Comment 2 Rex Dieter 2009-05-20 16:38:20 EDT
These are getting generated at buildtime, so I'd suspect timestamp differences.  Should be easy enough to fix.
Comment 3 Kevin Kofler 2009-05-20 16:49:07 EDT
AFAIK, timestamps haven't triggered multilib conflicts for ages, RPM ignores them when comparing for file conflicts.
Comment 4 Rex Dieter 2009-05-20 16:55:40 EDT
darn, ok. I'll take a closer look... may end up having to generate these once ahead of time.
Comment 5 Rex Dieter 2009-05-20 17:12:04 EDT
Please test these builds

(F-11 tests ok here)
F-11: http://koji.fedoraproject.org/koji/buildinfo?buildID=102918
F-10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1367187
Comment 6 Philippe Troin 2009-06-27 20:06:53 EDT
Currently still present in F11 with phonon-backend-gstreamer-4.3.1-4.fc11:

  file /usr/share/icons/hicolor/128x128/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc11.i586 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc11.x86_64
  file /usr/share/icons/hicolor/16x16/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc11.i586 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc11.x86_64
  file /usr/share/icons/hicolor/22x22/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc11.i586 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc11.x86_64
  file /usr/share/icons/hicolor/32x32/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc11.i586 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc11.x86_64
  file /usr/share/icons/hicolor/48x48/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc11.i586 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc11.x86_64
  file /usr/share/icons/hicolor/64x64/apps/phonon-gstreamer.png from install of phonon-backend-gstreamer-4.3.1-4.fc11.i586 conflicts with file from package phonon-backend-gstreamer-4.3.1-4.fc11.x86_64

Haven't tested the koji builds yet.
Comment 7 Rex Dieter 2009-06-27 21:04:53 EDT
Well, I guess I'll just go with what we've got.  Updates coming.
Comment 8 Fedora Update System 2009-06-27 21:06:47 EDT
phonon-4.3.1-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/phonon-4.3.1-6.fc11
Comment 9 Fedora Update System 2009-06-27 21:06:58 EDT
phonon-4.3.1-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/phonon-4.3.1-6.fc10
Comment 10 Fedora Update System 2009-06-30 17:30:47 EDT
phonon-4.3.1-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update phonon'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7116
Comment 11 Fedora Update System 2009-06-30 17:41:54 EDT
phonon-4.3.1-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update phonon'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7172
Comment 12 Fedora Update System 2009-07-11 13:00:10 EDT
phonon-4.3.1-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-11 13:06:47 EDT
phonon-4.3.1-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.